webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.NetworkRequest

Contents

- Description
- Types
- Constructors
- Methods

Description

The target of a navigation request

Synopsis

- data NetworkRequest
- class GObjectClass o => NetworkRequestClass o
- networkRequestNew :: String -> IO NetworkRequest
- networkRequestSetUri :: NetworkRequestClass self => self -> String -> IO ()
- networkRequestGetUri :: NetworkRequestClass self => self -> IO (Maybe String)

# Description

This class represents the network related aspects of a navigation request. It is used whenever WebKit wants to provide information about a request that will be sent, or has been sent. Inside it you can find the URI of the request, and, for valid URIs, a SoupMessage object, which provides access to further information such as headers.

# Types

data NetworkRequest

Instances

Eq NetworkRequest |
Ord NetworkRequest |
GObjectClass NetworkRequest |
NetworkRequestClass NetworkRequest |

class GObjectClass o => NetworkRequestClass o

Instances

NetworkRequestClass NetworkRequest |

# Constructors

networkRequestNew

Arguments

:: String | `uri` - the uri of the request
-> IO NetworkRequest |

Create a new NetworkRequest with the given `uri`.

It is used whenever WebKit wants to provide information about a request that will be sent, or has been sent.

# Methods

networkRequestSetUri

Arguments

:: NetworkRequestClass self |
=> self |
-> String | `uri` - the uri will be set to the request.
-> IO () |

Set the URI of `NetworkRequest`.

networkRequestGetUri

Arguments

:: NetworkRequestClass self |
=> self |
-> IO (Maybe String) | the URI or `Nothing` in case failed.

Return the uri of `NetworkRequest`.